# SetValueRequest

Added in[API level 36](https://developer.android.com/guide/topics/manifest/uses-sdk-element#ApiLevels)  
Summary:[Nested Classes](https://developer.android.com/reference/android/service/settings/preferences/SetValueRequest#nestedclasses)\|[Inherited Constants](https://developer.android.com/reference/android/service/settings/preferences/SetValueRequest#inhconstants)\|[Fields](https://developer.android.com/reference/android/service/settings/preferences/SetValueRequest#lfields)\|[Methods](https://developer.android.com/reference/android/service/settings/preferences/SetValueRequest#pubmethods)\|[Inherited Methods](https://developer.android.com/reference/android/service/settings/preferences/SetValueRequest#inhmethods)  

# SetValueRequest

*** ** * ** ***

[Kotlin](https://developer.android.com/reference/kotlin/android/service/settings/preferences/SetValueRequest "View this page in Kotlin")\|Java

`
public

final

class
SetValueRequest
`  
`

extends `[Object](https://developer.android.com/reference/java/lang/Object)`


``


implements

`[Parcelable](https://developer.android.com/reference/android/os/Parcelable)`


`

|---|------------------------------------------------------|
| [java.lang.Object](https://developer.android.com/reference/java/lang/Object) ||
| ↳ | android.service.settings.preferences.SetValueRequest |

<br />

*** ** * ** ***

Request parameters to set the current value to a Settings Preference.

This object passed to[SettingsPreferenceService.onSetPreferenceValue](https://developer.android.com/reference/android/service/settings/preferences/SettingsPreferenceService#onSetPreferenceValue(android.service.settings.preferences.SetValueRequest,%20android.os.OutcomeReceiver<android.service.settings.preferences.SetValueResult,java.lang.Exception>))will result in a[SetValueResult](https://developer.android.com/reference/android/service/settings/preferences/SetValueResult).

- [getScreenKey()](https://developer.android.com/reference/android/service/settings/preferences/SetValueRequest#getScreenKey())is a parameter to distinguish the container screen of a preference as a preference key may not be unique within its application.
- [getPreferenceKey()](https://developer.android.com/reference/android/service/settings/preferences/SetValueRequest#getPreferenceKey())is a parameter to identify the preference for which the value is being requested. These keys will be unique with their Preference Screen, but may not be unique within their application, so it is required to pair this with[getScreenKey()](https://developer.android.com/reference/android/service/settings/preferences/SetValueRequest#getScreenKey())to ensure this request matches the intended target.
- [getPreferenceValue()](https://developer.android.com/reference/android/service/settings/preferences/SetValueRequest#getPreferenceValue())is a parameter to specify the value that this request aims to set. If this value is invalid (malformed or does not match the type of the preference) then this request will fail.

<br />

## Summary

|                                                                                                                               ### Nested classes                                                                                                                               ||
|----------|----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| ` class` | [SetValueRequest.Builder](https://developer.android.com/reference/android/service/settings/preferences/SetValueRequest.Builder) Builder to construct[SetValueRequest](https://developer.android.com/reference/android/service/settings/preferences/SetValueRequest). |

|                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                ### Inherited constants                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
|------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| From interface[android.os.Parcelable](https://developer.android.com/reference/android/os/Parcelable) |-------|-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------| | `int` | [CONTENTS_FILE_DESCRIPTOR](https://developer.android.com/reference/android/os/Parcelable#CONTENTS_FILE_DESCRIPTOR) Descriptor bit used with[describeContents()](https://developer.android.com/reference/android/os/Parcelable#describeContents()): indicates that the Parcelable object's flattened representation includes a file descriptor.                                                                                                                                            | | `int` | [PARCELABLE_WRITE_RETURN_VALUE](https://developer.android.com/reference/android/os/Parcelable#PARCELABLE_WRITE_RETURN_VALUE) Flag for use with[writeToParcel(Parcel, int)](https://developer.android.com/reference/android/os/Parcelable#writeToParcel(android.os.Parcel,%20int)): the object being written is a return value, that is the result of a function such as "`Parcelable someFunction()`", "`void someFunction(out Parcelable)`", or "`void someFunction(inout Parcelable)`". | |

|                                                                                                                                                                                                                                      ### Fields                                                                                                                                                                                                                                      ||
|------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| ` public static final `[Creator](https://developer.android.com/reference/android/os/Parcelable.Creator)`<`[SetValueRequest](https://developer.android.com/reference/android/service/settings/preferences/SetValueRequest)`>` | [CREATOR](https://developer.android.com/reference/android/service/settings/preferences/SetValueRequest#CREATOR) Parcelable Creator for[SetValueRequest](https://developer.android.com/reference/android/service/settings/preferences/SetValueRequest). |

|                                                                                                                                                       ### Public methods                                                                                                                                                       ||
|------------------------------------------------------------------------------------------------------------------------------------|--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| ` `[String](https://developer.android.com/reference/java/lang/String)                                                              | ` `[getPreferenceKey](https://developer.android.com/reference/android/service/settings/preferences/SetValueRequest#getPreferenceKey())`() ` Returns the key of requested Preference.       |
| ` `[SettingsPreferenceValue](https://developer.android.com/reference/android/service/settings/preferences/SettingsPreferenceValue) | ` `[getPreferenceValue](https://developer.android.com/reference/android/service/settings/preferences/SetValueRequest#getPreferenceValue())`() ` Returns the value of requested Preference. |
| ` `[String](https://developer.android.com/reference/java/lang/String)                                                              | ` `[getScreenKey](https://developer.android.com/reference/android/service/settings/preferences/SetValueRequest#getScreenKey())`() ` Returns the screen key of requested Preference.        |

| ### Inherited methods |
|-----------------------|---|
| From class` `[java.lang.Object](https://developer.android.com/reference/java/lang/Object)` ` |--------------------------------------------------------------------------------|-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------| | ` `[Object](https://developer.android.com/reference/java/lang/Object)          | ` `[clone](https://developer.android.com/reference/java/lang/Object#clone())`() ` Creates and returns a copy of this object.                                                                                                                                                      | | ` boolean`                                                                     | ` `[equals](https://developer.android.com/reference/java/lang/Object#equals(java.lang.Object))`(`[Object](https://developer.android.com/reference/java/lang/Object)` obj) ` Indicates whether some other object is "equal to" this one.                                           | | ` void`                                                                        | ` `[finalize](https://developer.android.com/reference/java/lang/Object#finalize())`() ` Called by the garbage collector on an object when garbage collection determines that there are no more references to the object.                                                          | | ` final `[Class](https://developer.android.com/reference/java/lang/Class)`<?>` | ` `[getClass](https://developer.android.com/reference/java/lang/Object#getClass())`() ` Returns the runtime class of this`Object`.                                                                                                                                                | | ` int`                                                                         | ` `[hashCode](https://developer.android.com/reference/java/lang/Object#hashCode())`() ` Returns a hash code value for the object.                                                                                                                                                 | | ` final void`                                                                  | ` `[notify](https://developer.android.com/reference/java/lang/Object#notify())`() ` Wakes up a single thread that is waiting on this object's monitor.                                                                                                                            | | ` final void`                                                                  | ` `[notifyAll](https://developer.android.com/reference/java/lang/Object#notifyAll())`() ` Wakes up all threads that are waiting on this object's monitor.                                                                                                                         | | ` `[String](https://developer.android.com/reference/java/lang/String)          | ` `[toString](https://developer.android.com/reference/java/lang/Object#toString())`() ` Returns a string representation of the object.                                                                                                                                            | | ` final void`                                                                  | ` `[wait](https://developer.android.com/reference/java/lang/Object#wait(long,%20int))`(long timeoutMillis, int nanos) ` Causes the current thread to wait until it is awakened, typically by being*notified* or*interrupted*, or until a certain amount of real time has elapsed. | | ` final void`                                                                  | ` `[wait](https://developer.android.com/reference/java/lang/Object#wait(long))`(long timeoutMillis) ` Causes the current thread to wait until it is awakened, typically by being*notified* or*interrupted*, or until a certain amount of real time has elapsed.                   | | ` final void`                                                                  | ` `[wait](https://developer.android.com/reference/java/lang/Object#wait())`() ` Causes the current thread to wait until it is awakened, typically by being*notified* or*interrupted*.                                                                                             | ||
| From interface` `[android.os.Parcelable](https://developer.android.com/reference/android/os/Parcelable)` ` |------------------|---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------| | ` abstract int`  | ` `[describeContents](https://developer.android.com/reference/android/os/Parcelable#describeContents())`() ` Describe the kinds of special objects contained in this Parcelable instance's marshaled representation.                                    | | ` abstract void` | ` `[writeToParcel](https://developer.android.com/reference/android/os/Parcelable#writeToParcel(android.os.Parcel,%20int))`(`[Parcel](https://developer.android.com/reference/android/os/Parcel)` dest, int flags) ` Flatten this object in to a Parcel. | ||

## Fields

### CREATOR

Added in[API level 36](https://developer.android.com/guide/topics/manifest/uses-sdk-element#ApiLevels)  

```
public static final Creator<SetValueRequest> CREATOR
```

Parcelable Creator for[SetValueRequest](https://developer.android.com/reference/android/service/settings/preferences/SetValueRequest).

<br />

## Public methods

### getPreferenceKey

Added in[API level 36](https://developer.android.com/guide/topics/manifest/uses-sdk-element#ApiLevels)  

```
public String getPreferenceKey ()
```

Returns the key of requested Preference.

<br />

|                                  Returns                                   ||
|--------------------------------------------------------------------|--------|
| [String](https://developer.android.com/reference/java/lang/String) | <br /> |

### getPreferenceValue

Added in[API level 36](https://developer.android.com/guide/topics/manifest/uses-sdk-element#ApiLevels)  

```
public SettingsPreferenceValue getPreferenceValue ()
```

Returns the value of requested Preference.

<br />

|                                                                 Returns                                                                 ||
|---------------------------------------------------------------------------------------------------------------------------------|--------|
| [SettingsPreferenceValue](https://developer.android.com/reference/android/service/settings/preferences/SettingsPreferenceValue) | <br /> |

### getScreenKey

Added in[API level 36](https://developer.android.com/guide/topics/manifest/uses-sdk-element#ApiLevels)  

```
public String getScreenKey ()
```

Returns the screen key of requested Preference.

<br />

|                                  Returns                                   ||
|--------------------------------------------------------------------|--------|
| [String](https://developer.android.com/reference/java/lang/String) | <br /> |